[llvmlinux] [PATCH] x86: Build 16-bit code with -m16 where possible

Pavel Machek pavel at ucw.cz
Fri Jan 31 10:23:12 UTC 2014


On Wed 2014-01-29 12:11:25, David Woodhouse wrote:
> Both clang 3.5 and GCC 4.9 will support this (as of r207196 and r199754
> respectively). Both have been tested to produce booting kernels when the
> 16-bit code is built with -m16. (Modulo LLVM PR3997, at least.)

Will this break compilation with older GCC versions? Current minimum
gcc is 3.2.

								Pavel


-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html


More information about the LLVMLinux mailing list